"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const constants_1 = require("./../../constants");
exports.default = ({ environment, rootDir, include = [], exclude = [], distDirPrefix, ctx, }) => {
    const { sourceDir } = ctx;
    const configDir = path_1.default.join(sourceDir, '.vuepress');
    const catalogDir = path_1.default.join(configDir, '.catalog');
    const prefix = distDirPrefix || constants_1.DIST_DEFAULT_PREFIX;
    include = Array.isArray(include) ? include : [include];
    exclude = Array.isArray(exclude) ? exclude : [exclude];
    exclude.push(...constants_1.EXCLUDE.DEFAULT);
    if (environment.nuxt) {
        exclude.push(...constants_1.EXCLUDE.NUXT);
    }
    return {
        rootDir,
        sourceDir,
        include,
        exclude,
        configDir,
        catalogDir,
        distDirPrefix: prefix,
    };
};
