"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const file_1 = require("./../../utils/file");
const parser_1 = require("./../../parser");
exports.default = ({ dirContext, componentContextMap, }) => {
    for (const [dirName, componentContexts] of componentContextMap.entries()) {
        for (const context of componentContexts) {
            const source = file_1.readFile(context.absolutePathname);
            const vueParser = new parser_1.VueParser({ source, fileName: context.fileName });
            const docsBlock = vueParser.getCustomBlock('docs');
            if (docsBlock === null) {
                continue;
            }
            context.existDoc = true;
            context.catalogPathname =
                path_1.default.join(dirContext.catalogDir, context.link).replace(/\/$/, '') +
                    '.md';
            file_1.writeFile(context.catalogPathname, docsBlock.content);
        }
    }
};
