"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_page_builder_1 = require("./index-page-builder");
const buildIndexPage = ({ dirContext, componentContextMap, }) => {
    const content = index_page_builder_1.buildIndexPageMarkdown({ componentContextMap });
    return {
        path: `/${dirContext.distDirPrefix}/`,
        content,
    };
};
const buildComponentPages = ({ componentContextMap, }) => {
    let pages = [];
    for (const componentContexts of componentContextMap.values()) {
        const componentsPages = componentContexts.map(context => {
            return {
                path: context.link,
                filePath: context.catalogPathname,
            };
        });
        pages = [...pages, ...componentsPages];
    }
    return pages;
};
exports.default = ({ dirContext, componentContextMap, }) => {
    return [
        buildIndexPage({ dirContext, componentContextMap }),
        ...buildComponentPages({ componentContextMap }),
    ];
};
