"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = require("./../utils/file");
const parser_1 = require("./../parser");
exports.default = ({ pathname, watchComponentMap, }) => {
    const context = watchComponentMap[`/${pathname}`];
    if (!context || context.existDoc === false) {
        return;
    }
    const source = file_1.readFile(context.absolutePathname);
    const vueParser = new parser_1.VueParser({ source, fileName: context.fileName });
    const docsBlock = vueParser.getCustomBlock('docs');
    if (docsBlock === null) {
        file_1.writeFile(context.catalogPathname, '');
    }
    else {
        file_1.writeFile(context.catalogPathname, docsBlock.content);
    }
};
